Bug 1508551 (CVE-2017-15100) - CVE-2017-15100 foreman: Stored XSS in fact name or value
Summary: CVE-2017-15100 foreman: Stored XSS in fact name or value
Keywords:
Status: CLOSED DEFERRED
Alias: CVE-2017-15100
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1509442 1509443
Blocks: 1508558
TreeView+ depends on / blocked
 
Reported: 2017-11-01 16:22 UTC by Pedro Sampaio
Modified: 2019-09-29 14:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-03 19:44:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:20:12 UTC

Description Pedro Sampaio 2017-11-01 16:22:39 UTC
A cross-site scripting vulnerability was found in foreman in pages where facts are submitted through insertion of HTML in its name or value.

Upstream bug:

http://projects.theforeman.org/issues/21519

Comment 2 Kurt Seifried 2017-11-03 19:42:34 UTC
Statement:

This issue affects the versions of foreman as shipped with Red Hat Satellite version 6 and Ceph Storage version 1.3. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 3 errata-xmlrpc 2018-10-16 15:20:06 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.